# Smart Real-time Facades

## Do not lose IDE auto-completion with real-time facades!

[![Latest Version on Packagist](https://img.shields.io/packagist/v/imanghafoori/smart-realtime-facades.svg?style=flat-square)](https://packagist.org/packages/imanghafoori/smart-realtime-facades)
[![Total Downloads](https://img.shields.io/packagist/dt/imanghafoori/smart-realtime-facades.svg?style=flat-square)](https://packagist.org/packages/imanghafoori/smart-realtime-facades)
[![MIT Licensed](https://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat-square)](LICENSE.md)

Real-time facades in laravel are great, but they have a problem. When you use them, you quickly fall out of ide auto-completion and you are out of confidence.
This package generates the facade file with enough doc-blocks to provide you with all the neat IDE helps. Nice?

It works exactly like the internal laravel realtime facades.

Sample Generated Facade File:

![image](https://user-images.githubusercontent.com/6961695/154666361-172ef404-2abf-47b4-8ea6-5a7df27cb33f.png)


### Installation:

```bash
composer require imanghafoori/smart-realtime-facades --dev
```

### Usage:

You do not need to do anything, it regenerates your facade files if they need to be updated when you call them.

---------------------

### :raising_hand: Contributing:

If you find an issue or have a better way to do something, feel free to open an issue, or a pull request.

### :exclamation: Security
If you discover any security-related issues, please email `imanghafoori1@gmail.com` instead of using the issue tracker.

----------------------


### More from the author:

#### Laravel HeyMan:

:gem: It allows us to write expressive code to authorize, validate and authenticate.

- https://github.com/imanghafoori1/laravel-heyman

--------------------

#### Laravel Microscope:

:gem: Find bugs before they bite.

- https://github.com/imanghafoori1/laravel-microscope


--------------------


### Credits

- [Iman](https://github.com/imanghafoori1)
- [All Contributors](../../contributors)

### License

The MIT License (MIT). Please see [License File](LICENSE.md) for more information.
